changeset 22:7c8a926516a0

bugfix in portability code
author Volker Grabsch <vog@notjusthosting.com>
date Sat, 23 Jun 2007 20:16:14 +0200
parents 2581508f0bc7
children 6d5b1dfe23f8
files build_mingw_cross_env.sh
diffstat 1 files changed, 9 insertions(+), 7 deletions(-) [+]
line wrap: on
line diff
--- a/build_mingw_cross_env.sh	Sat Jun 23 12:59:59 2007 +0200
+++ b/build_mingw_cross_env.sh	Sat Jun 23 20:16:14 2007 +0200
@@ -44,13 +44,6 @@
 
 
 #---
-#   Portability
-#---
-
-command -v gmake || alias gmake=make
-
-
-#---
 #   Configuration
 #---
 
@@ -93,6 +86,15 @@
 
 
 #---
+#   Portability
+#---
+
+if ! command -v gmake; then
+    alias gmake=make
+fi
+
+
+#---
 #   Main
 #---